<?php

namespace App\Models;

use App\Models\Subscription;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class Invoice extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'subscription_id',
        'paid',
        'total'
    ];

    protected $casts = [
        'total' => 'float',
        'paid' => 'boolean'
    ];

    public function user(): HasOne {
        return $this->hasOne(User::class, 'id', 'user_id');
    }

    public function subscription(): HasOne {
        return $this->hasOne(Subscription::class, 'id', 'subscription_id');
    }
}
