<?php

namespace App\Models;

use App\Interfaces\Badged;
use App\Models\Badge;

enum MessageType: string implements Badged {
    case ERROR = "ERROR";
    case WARN = "WARN";
    case SUCCESS = "SUCCESS";
    case INFO = "INFO";

    public function badge(): Badge {
        return match($this) {
            MessageType::SUCCESS => new Badge('green', 'check'),
            MessageType::ERROR => new Badge('red', 'xmark'),
            MessageType::WARN => new Badge('amber', 'exclamation'),
            MessageType::INFO => new Badge('blue', 'info')
        };
    }
}

class Message {
    public function __construct(String $body, MessageType $type) {
        $this->body = $body;
        $this->type = $type;
    }
}
