<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class SidebarItem {
    public function __construct(
        string $link,
        string $text,
        string $icon,
        string $active
    ) {
        $this->link = $link;
        $this->text = $text;
        $this->icon = $icon;
        $this->active = $active;
    }
}

class Sidebar extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public string $active
    ) {}

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        $tabs = array(
            "home" => new SidebarItem(
                "/",
                "Home",
                "house-chimney-window",
                false
            ),
            "users" => new SidebarItem(
                "/users",
                "Users",
                "users",
                false
            ),
            "locations" => new SidebarItem(
                "/locations",
                "Locations",
                "map-location-dot",
                false
            ),
            "invoices" => new SidebarItem(
                "/invoices",
                "Invoices",
                "money-check-dollar",
                false
            ),
            "transactions" => new SidebarItem(
                "/transactions",
                "Transactions",
                "money-bill",
                false
            )
        );

        $tabs[$this->active]->active = true;

        return view('components.sidebar', ['tabs' => array_values($tabs)]);
    }
}
