<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Location>
 */
class LocationFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        $location_type = ['DESK', 'ROOM', 'STORAGE'][mt_rand(0, 2)];
        $location_title = mt_rand(11111, 99999);

        return [
            'title' => $location_type.'-'.$location_title,
            'description' => Str::random(50),
            'address' => Str::random(10).$location_title.' , Help Street, Atlantis, 44600',
            'latitude' => floatval('1.'.$location_title),
            'longitude' => floatval('-1.'.$location_title),
            'type' => $location_type,
            'image' => 'location_placeholder.png',
            'state' => ['AVAILABLE', 'OCCUPIED', 'MAINTENANCE'][mt_rand(0, 2)],
            'rate_hourly' => $location_type == 'DESK' ? mt_rand(10000, 20000): null,
            'rate_daily' => mt_rand(200000, 400000)
        ];
    }
}
