<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('locations', function (Blueprint $table) {
            $table->id();
            $table->string('title')->unique();
            $table->longText('description')->default(null);
            $table->string('address')->nullable(false);
            $table->float('latitude', 8, 6);
            $table->float('longitude', 8, 6);
            $table->enum('type', ['DESK', 'ROOM', 'STORAGE']);
            $table->boolean('active')->default(true);
            $table->string('image');
            $table->enum('state', ['AVAILABLE', 'OCCUPIED', 'MAINTENANCE']);
            $table->float('rate_hourly')->nullable(true);
            $table->float('rate_daily')->nullable(true);
            $table->timestamp('created_at')->default(DB::raw('CURRENT_TIMESTAMP'));
            $table->timestamp('updated_at')->default(DB::raw('CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP'));
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('locations');
    }
};
