<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('subscription_id')->constrained()->cascadeOnDelete();
            $table->enum('state', ['PAID', 'PENDING', 'FAILED', 'REFUNDED'])->default('PENDING');
            $table->string('transaction_code');
            $table->float('amount')->nullable(false);
            $table->enum('mode', ['IPAYMU', 'CREDIT', 'DEBIT', 'EMPLOYEE_CREDIT']);
            $table->timestamp('created_at')->default(DB::raw('CURRENT_TIMESTAMP'));
            $table->timestamp('updated_at')->default(DB::raw('CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP'));
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('transactions', function (Blueprint $table) {
            $table->dropForeign('transactions_subscription_id_foreign');
        });

        Schema::dropIfExists('transactions');
    }
};
