<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use App\Models\User;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * DB::table('users')->insert([
     *   'name' => Str::random(10),
     *   'email' => Str::random(10).'@officeplus.com',
     *   'password' => Hash::make('password'),
     *   'type' => 'ADMIN',
     *   'phone' => '9864284002',
     *   'active' => true
     * ]);
     *
     */

    public function run(): void
    {
        // Generating base test user
        DB::table('users')->insert([
            'name' => 'Euclid',
            'email' => '00euclid@officeplus.com',
            'password' => Hash::make('password'),
            'type' => 'ADMIN',
            'phone' => '9864284002',
            'active' => true
        ]);

        // Generating random users
        DB::table('users')->insert(User::factory()->count(100)->make()->toArray());
    }
}
