@extends('layouts.app')

@section('title')
    Login
@stop

@section('head')
<script lang="javascript">
    const togglePasswordVisibility = (event) => {
        const toggler = event.target;
        const password = document.querySelector("#password");

        if (!password) return;

        password.type = password.type === "password" ? "text": "password";

        if (toggler && toggler.classList.contains("fa-eye")) {
            toggler.classList.remove("fa-eye");
            toggler.classList.add("fa-eye-slash");
            return;
        }

        toggler.classList.remove("fa-eye-slash");
        toggler.classList.add("fa-eye");
    };
</script>
@stop

@section('body')
    @php
        $messages = session()->get('messages');
    @endphp
    @if($messages)
        <x-messages :messages="$messages" />
    @endisset
    <div class="wrapper flex flex-row">
        <section class="backdrop flex-auto w-3/4 max-sm:hidden h-screen overflow-hidden">
            <img class="h-full w-auto max-w-fit" src="{{ Vite::asset('resources/img/login.jpg') }}" alt="Background">
        </section>
        <section class="form flex-auto bg-white h-screen w-1/4 max-sm:w-full flex justify-center items-center">
            <div class="flex min-h-full flex-col justify-center px-6 py-12 lg:px-8">
                <div class="sm:mx-auto sm:w-full sm:max-w-sm">
                    <img class="mx-auto h-20 w-auto" src="{{ Vite::asset('resources/img/logo.svg') }}" alt="OfficePlus">
                    <h2 class="mt-10 text-center text-2xl font-bold leading-9 tracking-tight text-gray-900">Please enter your credentials</h2>
                </div>

                <div class="mt-10 sm:mx-auto sm:w-full sm:max-w-sm">
                    <form class="space-y-6" action="{{ route('authenticate') }}" method="POST">
                        @csrf
                        <div>
                            <label for="phone" class="block text-sm font-semibold leading-6 text-gray-900">Phone Number</label>
                            <div class="mt-2">
                                <input id="phone" name="phone" type="phone" autocomplete="phone" required class="block w-full rounded-xl border-0 p-4 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-accent sm:text-sm sm:leading-6">
                            </div>
                        </div>
                        <div>
                            <div class="flex items-center justify-between">
                                <label for="password" class="block text-sm font-semibold leading-6 text-gray-900">Password</label>
                                <div class="text-sm mr-2">
                                    <button type="button" class="bg-transparent border-none font-semibold text-accent hover:text-gray-950"><i onclick="togglePasswordVisibility(event)" class="fa-solid fa-eye"></i></button>
                                </div>
                            </div>
                            <div class="mt-2">
                                <input id="password" name="password" type="password" autocomplete="current-password" required class="block w-full rounded-xl border-0 p-4 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400 focus:ring-2 focus:ring-inset focus:ring-accent sm:text-sm sm:leading-6">
                            </div>
                        </div>
                        <div>
                            <button type="submit" class="flex w-full justify-center rounded-xl bg-accent p-4 text-sm font-semibold leading-6 text-white shadow-sm hover:bg-gray-950 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Sign in</button>
                        </div>
                    </form>
                </div>
            </div>
        </section>
    </div>
@stop
