@if ($messages)
    <section class="messages flex-col gap-2 fixed top-4 right-4 z-50">
        @foreach ($messages as $message)
            @php
                $icon = $message->type->badge()->icon;
                $color = $message->type->badge()->color;
                $index = $loop->index;
            @endphp
            <div id="message-{{ $index }}" class="flex items-center w-full max-w-xs p-4 mb-4 text-gray-900 bg-white rounded-lg shadow-md" role="alert">
                <div class="inline-flex items-center justify-center flex-shrink-0 w-8 h-8 text-{{ $color }}-900 bg-{{ $color }}-200 rounded-lg">
                    <i class="fa-solid fa-{{ $icon }}"></i>
                    <span class="sr-only">Message type icon</span>
                </div>
                <div class="ml-3 text-sm font-normal">{{ $message->body }}</div>
                <button type="button" class="ml-auto -mx-1.5 -my-1.5 bg-white text-gray-400 hover:text-gray-900 rounded-lg focus:ring-2 focus:ring-gray-300 p-1.5 hover:bg-gray-100 inline-flex items-center justify-center h-8 w-8 " onclick="closeMessage('#message-{{ $index }}')" aria-label="Close">
                    <span class="sr-only">Close</span>
                    <i class="fa-solid fa-xmark"></i>
                </button>
            </div>
        @endforeach
    </section>
@endif
