<x-base title="Home" current="home">
    @isset($messages)
        <x-messages :messages="$messages" />
    @endisset
    <section class="h-full w-full">
        <div class="w-full px-4 py-4 mt-4">
            <div class="px-4 py-4 overflow-x-auto">
                <div class="flex items-center">
                    <div class="w-fit bg-white p-4 rounded-2xl shadow-md">
                        <img src="{{ Vite::asset('resources/img/icon.png') }}" alt="OfficePlus" class="w-20 h-20">
                    </div>
                    <div class="h-full flex flex-col justify-center pl-4">
                        <h1 class="text-4xl font-bold ml-2">Hi,</h1>
                        <h3 class="text-lg font-semibold ml-2">{{ Auth::user()->name }}</h3>
                        <p class="text-sm rounded-full px-3 py-1 font-semibold bg-red-200 text-red-900 mt-2">{{ Auth::user()->phone }}</p>
                    </div>
                </div>
            </div>
        </div>
        <section class="stats">
            <div class="max-w-full mx-4 py-6 sm:mx-auto sm:px-6 lg:px-8">
                <div class="section-heading">
                    <h2 class="text-4xl font-extrabold mb-2">Stats at a glance</h2>
                    <p class="text-lg text-gray-500">Here are some basic information to summarize the state of the deployment. Information will be updated on reload.</p>
                </div>
                <div class="sm:flex sm:space-x-4">
                    @foreach ($stats as $stat)
                        <div class="inline-block align-bottom bg-white rounded-2xl text-left overflow-hidden shadow transform transition-all mb-4 w-full sm:w-1/3 sm:my-8">
                            <div class="bg-white p-5">
                                <div class="sm:flex sm:items-start">
                                    <div class="w-16 h-16 rounded-2xl flex justify-center items-center aspect-square bg-{{ $stat['color'] }}-200 text-{{ $stat['color'] }}-900 p-4 mr-4">
                                        <i class="fa-solid fa-{{ $stat['icon'] }}"></i>
                                    </div>
                                    <div class="text-center sm:mt-0 sm:ml-2 sm:text-left">
                                        <h3 class="text-sm leading-6 font-medium text-gray-400">{{ $stat['title'] }}</h3>
                                        <p class="text-3xl font-bold text-black">{{ $stat['value'] }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </section>
    </section>
</x-base>
