<x-base title="Locations" current="locations">
    @isset($messages)
        <x-messages :messages="$messages" />
    @endisset
    <section class="h-full w-full">
        <div class="w-full px-4">
            <div class="py-4">
                <div class="px-4 py-4 overflow-x-auto">
                    <div class="inline-block min-w-full shadow-md rounded-lg overflow-hidden">
                        <table class="min-w-full leading-normal">
                            <thead>
                                <tr>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Title / Address
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Type / Co-ordinates
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        State
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Rates
                                    </th>
                                    <th
                                        class="px-5 py-3 border-b-2 border-gray-200 bg-red-200 text-left text-xs font-semibold text-red-600 uppercase tracking-wider">
                                        Active
                                    </th>
                                    <th class="px-5 py-3 border-b-2 border-gray-200 bg-red-200"></th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($locations as $location)
                                    <tr>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <div class="flex">
                                                <div class="flex-shrink-0 w-10 h-10">
                                                    <img class="w-full h-full rounded-full"
                                                        src="{{ $location->image ? asset('products/'.$location->image) : asset('products/location_placeholder.png') }}"
                                                        alt="" />
                                                </div>
                                                <div class="ml-3">
                                                    <p class="text-gray-900 whitespace-no-wrap">
                                                        {{ $location->title }}
                                                    </p>
                                                    <p class="text-gray-600 whitespace-no-wrap">{{ $location->address }}</p>
                                                </div>
                                            </div>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white texCt-sm">
                                            @php
                                                $typeBadge = $location->type->badge();
                                            @endphp
                                            <p class="my-1 text-gray-900 whitespace-no-wrap">
                                                <span class="text-[0.8em] font-semibold px-3 py-[6px] rounded-full bg-{{ $typeBadge->color }}-200 text-{{ $typeBadge->color }}-600 capitalize">
                                                    <i class="fa-solid fa-{{ $typeBadge->icon }} mr-1"></i>
                                                    <span class="inline-block lowercase first-letter:uppercase">{{ $location->type }}</span>
                                                </span>
                                            </p>
                                            <p class="text-[0.8em] ml-[4px] italic text-gray-400 whitespace-no-wrap">
                                                {{ $location->latitude }}, {{ $location->longitude }}
                                            </p>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            @php
                                                $stateBadge = $location->state->badge();
                                            @endphp
                                            <p class="text-gray-900 whitespace-no-wrap">
                                                <span class="text-[0.8em] font-semibold px-3 py-[6px] rounded-full bg-{{ $stateBadge->color }}-200 text-{{ $stateBadge->color }}-600 capitalize">
                                                    {{ $location->state }}
                                                </span>
                                            </p>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            @if($location->rate_hourly)
                                                <p class="text-gray-900 whitespace-no-wrap">
                                                    <small class="font-semibold">Rp.</small> {{ $location->rate_hourly }} <span class="text-gray-400 italic">/ per hour</span>
                                                </p>
                                            @endif

                                            @if ($location->rate_daily)
                                            <p class="text-gray-900 whitespace-no-wrap">
                                                <small class="font-semibold">Rp.</small> {{ $location->rate_daily }} <span class="text-gray-400 italic">/ per day</span>
                                            </p>
                                            @endif
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-sm">
                                            <label class="relative inline-flex items-center cursor-pointer">
                                                <input type="checkbox" class="sr-only peer" {{ $location->active ? 'checked': '' }} onchange="location.href='/locations/{{ $location->id }}/toggle-activation'">
                                                <div class="w-11 h-6 bg-gray-200 peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-green-300 dark:peer-focus:ring-green-800 rounded-full peer dark:bg-gray-700 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-[2px] after:left-[2px] after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-gray-600 peer-checked:bg-green-600"></div>
                                            </label>
                                        </td>
                                        <td class="px-5 py-5 border-b border-gray-200 bg-white text-right">
                                            <a href="/locations/{{ $location->id }}/edit"
                                                class="inline-block {{ $location->state->text() == 'OCCUPIED' ? 'pointer-events-none text-gray-400': 'text-gray-500 hover:text-gray-700' }}">
                                                <i class="fa-solid fa-pen"></i>
                                            </a>
                                        </td>
                                    </tr>
                                @empty
                                <tr>
                                    <td colspan="5">
                                        <p class="text-center italic text-gray-400 whitespace-no-wrap p-4 bg-white">
                                            No Results
                                        </p>
                                    </td>
                                </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                    <div class="mt-4">
                        {{ $locations->withQueryString()->links() }}
                    </div>
                </div>
            </div>
        </div>
        @empty($selectedLocation)
            <x-slideover title="Add new location"
                subtitle="Please make sure to fill the details correctly before submitting, as the submission are posted as products to the app.">
                <form class="h-auto m-8 pb-36" method="POST" action="/locations" enctype="multipart/form-data">
                    @csrf
                    <div class="space-y-12">
                        <div class="border-b border-gray-900/10 pb-12">
                            <div class="mt-10 grid grid-cols-1 gap-x-6 gap-y-8 sm:grid-cols-6">
                                <div class="sm:col-span-full">
                                    <label for="title"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Title</label>
                                    <div class="mt-2">
                                        <input type="text" name="title" id="title"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                            required>
                                    </div>
                                </div>

                                <div class="col-span-full">
                                    <label for="description"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Description</label>
                                    <p class="mt-3 text-sm leading-6 text-gray-600">Write a few details about the location.</p>
                                    <div class="mt-2">
                                        <textarea id="description" name="description" rows="3"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"></textarea>
                                    </div>
                                </div>

                                <div class="col-span-full">
                                    <label for="cover-photo"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Location Picture</label>
                                    <div
                                        class="mt-2 flex justify-center rounded-xl p-4 border border-dashed border-gray-900/25 px-6 py-10">
                                        <div class="text-center">
                                            <h1 class="text-2xl text-gray-500"><i class="fa-solid fa-camera-retro"></i></h1>
                                            <div class="mt-4 flex text-sm leading-6 text-gray-600">
                                                <label for="image"
                                                    class="relative cursor-pointer rounded-xl bg-white font-semibold text-red-300 focus-within:outline-none hover:text-red-400">
                                                    <span>Upload a file</span>
                                                    <input id="image" name="image" type="file" class="sr-only">
                                                </label>
                                                <p class="pl-1">or drag and drop</p>
                                            </div>
                                            <p class="text-xs leading-5 text-gray-600">PNG, JPG up to 5MB</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="sm:col-span-3">
                                    <label for="type" class="block text-sm font-semibold leading-6 text-gray-900">Type of
                                        Location</label>
                                    <div class="mt-2">
                                        <select id="type" name="type"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:max-w-xs sm:text-sm sm:leading-6"
                                            onchange="toggleRateFields(event)"
                                            required>
                                            <option value="-1" selected>Select a type</option>
                                            <option value="DESK">Desk</option>
                                            <option value="STORAGE">Storage</option>
                                            <option value="ROOM">Room</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="border-b border-gray-900/10 pb-12">
                            <h2 class="text-base font-semibold leading-7 text-gray-900">Geographical Information</h2>
                            <p class="mt-1 text-sm leading-6 text-gray-600">Please give the permanent address of the
                                location.</p>

                            <div class="col-span-full mt-4">
                                <label for="address" class="block text-sm font-semibold leading-6 text-gray-900">Street
                                    address</label>
                                <div class="mt-2">
                                    <input type="text" name="address" id="address"
                                        class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                        required>
                                </div>
                            </div>

                            <div class="col-span-full flex flex-row xs:flex-col gap-6 mt-6">
                                <div class="flex-1">
                                    <label for="latitude"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Latitude</label>
                                    <div class="mt-2">
                                        <input type="text" name="latitude" id="latitude"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6" placeholder="1.008802">
                                    </div>
                                </div>

                                <div class="flex-1">
                                    <label for="longitude"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Longitude</label>
                                    <div class="mt-2">
                                        <input type="text" name="longitude" id="longitude"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"  placeholder="-0.002002">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="border-b border-gray-900/10 pb-12">
                            <h2 class="text-base font-semibold leading-7 text-gray-900">Pricing</h2>
                            <p class="mt-1 text-sm leading-6 text-gray-600">Let us set the pricing for the location which will
                                be set in terms of hourly or daily usage. <br><i>All the rates will be in Rupiyah (Rp).</i></p>

                            <div class="col-span-full flex flex-row xs:flex-col gap-6 mt-6">
                                <div id="hourly" class="flex-1">
                                    <label for="rate_hourly" class="block text-sm font-semibold leading-6 text-gray-900">Hourly
                                        Rate</label>
                                    <div class="mt-2">
                                        <div
                                            class="flex rounded-xl p-4 shadow-sm ring-1 ring-inset ring-gray-300 focus-within:ring-2 focus-within:ring-inset focus-within:ring-red-400 sm:max-w-md">
                                            <span
                                                class="flex select-none items-center px-3 font-semibold text-gray-500 sm:text-sm">Rp.</span>
                                            <input type="number" name="rate_hourly" id="rate_hourly"
                                                class="block flex-1 border-0 bg-transparent text-gray-900 placeholder:text-gray-400 focus:outline-none focus:ring-0 sm:text-sm sm:leading-6" placeholder="10000">
                                        </div>
                                    </div>
                                </div>
                                <div id="daily" class="flex-1">
                                    <label for="rate_daily" class="block text-sm font-semibold leading-6 text-gray-900">Daily
                                        Rate</label>
                                    <div class="mt-2">
                                        <div
                                            class="flex rounded-xl p-4 shadow-sm ring-1 ring-inset ring-gray-300 focus-within:ring-2 focus-within:ring-inset focus-within:ring-red-400 sm:max-w-md">
                                            <span
                                                class="flex select-none items-center px-3 font-semibold text-gray-500 sm:text-sm">Rp.</span>
                                            <input type="number" name="rate_daily" id="rate_daily"
                                                class="block flex-1 border-0 bg-transparent text-gray-900 placeholder:text-gray-400 focus:outline-none focus:ring-0 sm:text-sm sm:leading-6" placeholder="200000">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mt-6 flex items-center justify-start gap-x-6">
                        <button type="submit"
                            class="rounded-xl px-8 py-4 bg-red-400 text-sm font-semibold text-white shadow-sm hover:bg-gray-950 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-red-400">Save</button>

                        <button type="reset" onclick="toggleSlideover()" class="text-sm font-semibold leading-6 text-gray-900">Cancel</button>
                    </div>
                </form>
            </x-slideover>
            <x-fab />
        @endempty
        @isset($selectedLocation)
            <x-slideover title="Edit location" :fixed="true" closeAction="location.href='/locations'"
                subtitle="Please make sure to fill the details correctly before updating entries.">
                <form class="h-auto m-8 pb-36" action="/locations/{{ $selectedLocation->id }}/update" method="POST" enctype="multipart/form-data">
                    @csrf
                    @method('PUT')
                    <div class="space-y-12">
                        <div class="border-b border-gray-900/10 pb-12">
                            <div class="mt-10 grid grid-cols-1 gap-x-6 gap-y-8 sm:grid-cols-6">
                                <div class="sm:col-span-full">
                                    <label for="title"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Title</label>
                                    <div class="mt-2">
                                        <input type="text" name="title" id="title" value="{{ $selectedLocation->title }}"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                            required>
                                    </div>
                                </div>

                                <div class="col-span-full">
                                    <label for="description"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Description</label>
                                    <p class="mt-3 text-sm leading-6 text-gray-600">Write a few details about the location.</p>
                                    <div class="mt-2">
                                        <textarea id="description" name="description" rows="3"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6">{{ $selectedLocation->description }}</textarea>
                                    </div>
                                </div>

                                <div class="col-span-full">
                                    <label for="cover-photo"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Location Picture</label>
                                    <div
                                        class="mt-2 flex justify-center rounded-xl p-4 border border-dashed border-gray-900/25 px-6 py-10">
                                        <div class="text-center">
                                            <h1 class="text-2xl text-gray-500"><i class="fa-solid fa-camera-retro"></i></h1>
                                            <div class="mt-4 flex text-sm leading-6 text-gray-600">
                                                <label for="image"
                                                    class="relative cursor-pointer rounded-xl bg-white font-semibold text-red-300 focus-within:outline-none hover:text-red-400">
                                                    <span>Upload a file</span>
                                                    <input id="image" name="image" type="file" class="sr-only">
                                                </label>
                                                <p class="pl-1">or drag and drop</p>
                                            </div>
                                            <p class="text-xs leading-5 text-gray-600">PNG, JPG up to 5MB</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="border-b border-gray-900/10 pb-12">
                            <h2 class="text-base font-semibold leading-7 text-gray-900">Geographical Information</h2>
                            <p class="mt-1 text-sm leading-6 text-gray-600">Please give the permanent address of the
                                location.</p>

                            <div class="col-span-full mt-4">
                                <label for="address" class="block text-sm font-semibold leading-6 text-gray-900">Street
                                    address</label>
                                <div class="mt-2">
                                    <input type="text" name="address" id="address" value="{{ $selectedLocation->address }}"
                                        class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"
                                        required>
                                </div>
                            </div>

                            <div class="col-span-full flex flex-row xs:flex-col gap-6 mt-6">
                                <div class="flex-1">
                                    <label for="latitude"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Latitude</label>
                                    <div class="mt-2">
                                        <input type="text" name="latitude" id="latitude" value="{{ $selectedLocation->latitude }}"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6" placeholder="1.008802">
                                    </div>
                                </div>

                                <div class="flex-1">
                                    <label for="longitude"
                                        class="block text-sm font-semibold leading-6 text-gray-900">Longitude</label>
                                    <div class="mt-2">
                                        <input type="text" name="longitude" id="longitude" value="{{ $selectedLocation->longitude }}"
                                            class="block w-full rounded-xl p-4 border-0 text-gray-900 shadow-sm ring-1 ring-inset ring-gray-300 placeholder:text-gray-400  focus:outline-none focus:ring-2 focus:ring-inset focus:ring-red-400 sm:text-sm sm:leading-6"  placeholder="-0.002002">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="border-b border-gray-900/10 pb-12">
                            <h2 class="text-base font-semibold leading-7 text-gray-900">Pricing</h2>
                            <p class="mt-1 text-sm leading-6 text-gray-600">Let us set the pricing for the location which will
                                be set in terms of hourly or daily usage. <br><br><i>All the rates will be in Rupiyah (Rp).</i></p>

                            <div class="col-span-full flex flex-row xs:flex-col gap-6 mt-6">
                                @if ($selectedLocation->rate_hourly)
                                    <div id="hourly" class="flex-1">
                                        <label for="rate_hourly" class="block text-sm font-semibold leading-6 text-gray-900">Hourly
                                            Rate</label>
                                        <div class="mt-2">
                                            <div
                                                class="flex rounded-xl p-4 shadow-sm ring-1 ring-inset ring-gray-300 focus-within:ring-2 focus-within:ring-inset focus-within:ring-red-400 sm:max-w-md">
                                                <span
                                                    class="flex select-none items-center px-3 font-semibold text-gray-500 sm:text-sm">Rp.</span>
                                                <input type="number" name="rate_hourly" id="rate_hourly" value="{{ $selectedLocation->rate_hourly }}"
                                                    class="block flex-1 border-0 bg-transparent text-gray-900 placeholder:text-gray-400 focus:outline-none focus:ring-0 sm:text-sm sm:leading-6" placeholder="10000">
                                            </div>
                                        </div>
                                    </div>
                                @endif
                                <div id="daily" class="flex-1">
                                    <label for="rate_daily" class="block text-sm font-semibold leading-6 text-gray-900">Daily
                                        Rate</label>
                                    <div class="mt-2">
                                        <div
                                            class="flex rounded-xl p-4 shadow-sm ring-1 ring-inset ring-gray-300 focus-within:ring-2 focus-within:ring-inset focus-within:ring-red-400 sm:max-w-md">
                                            <span
                                                class="flex select-none items-center px-3 font-semibold text-gray-500 sm:text-sm">Rp.</span>
                                            <input type="number" name="rate_daily" id="rate_daily" value="{{ $selectedLocation->rate_daily }}"
                                                class="block flex-1 border-0 bg-transparent text-gray-900 placeholder:text-gray-400 focus:outline-none focus:ring-0 sm:text-sm sm:leading-6" placeholder="200000">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="mt-6 flex items-center justify-start gap-x-6">
                        <button type="submit"
                            class="rounded-xl px-8 py-4 bg-red-400 text-sm font-semibold text-white shadow-sm hover:bg-gray-950 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-red-400">Update</button>

                        <button type="button" onclick="location.href='/locations'" class="text-sm font-semibold leading-6 text-gray-900">Cancel</button>
                    </div>
                </form>
            </x-slideover>
        @endisset
    </section>
</x-base>
